Name:		mppdec
Version:	r96
Release:	%mkrel 12
Summary:	The 1.15v decoder
Group:		Sound/Editors and Converters
License:	LGPLv2+
URL:		https://www.musepack.net/
Source0:	ftp://ftp.iut-bm.univ-fcomte.fr/linux/distributions/zenwalk/source/extra/ap/musepack-tools/mpptools-%{version}.tar.bz2
Patch0:		no-asm.patch
Patch1:		mpptools-r96-mga-gcc5.patch
ExcludeArch:	%{arm}

BuildRequires:	yasm

%description
Musepack is an audio compression format with a strong emphasis on high
quality. It's not lossless, but it is designed for transparency, so that you
won't be able to hear differences between the original wave file and the much
smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2 algorithms, but
since 1997 it has rapidly developed and vastly improved and is now at an
advanced stage in which it contains heavily optimized and patentless code.
This decoder is compatible with all StreamVersions from 4 to 7. You need it if
you want to apply ReplayGain on your files or just want to decode to record on
a CD.


%prep
%setup -q -n mpptools-%{version}

sed -i -e 's/-Os//' Makefile
sed -i -e 's/-march=i586//' Makefile
sed -i -e 's/-m\$(TUNE)=i686//' Makefile
sed -i -e 's/&> $(LOGFILE)//' Makefile
sed -i -e 's/nasm/yasm/' Makefile

%ifnarch %{ix86}
%patch 0 -p1
%endif
%patch 1 -p1

%build
%ifarch %{arm}
# config goes into infinite loop with -O2 on armv5tl and armv7hl :(
%define flags %(echo %{optflags} | sed s/O2/O1/)
%else
%define flags %{optflags} -Wno-incompatible-pointer-types
%endif

%make_build config.h OPTIM_SPEED="%{flags}" OPTIM_SIZE= XLIBDIR= XINCLDIR= LDADD="%{ldflags} -lm"
%make_build mppdec OPTIM_SPEED="%{flags}" OPTIM_SIZE= XLIBDIR= XINCLDIR= LDADD="%{ldflags} -lm"
%make_build replaygain OPTIM_SPEED="%{flags}" OPTIM_SIZE= XLIBDIR= XINCLDIR= LDADD="%{ldflags} -lm"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 mppdec replaygain %{buildroot}%{_bindir}

%files
%doc README
%{_bindir}/mppdec
%{_bindir}/replaygain


%changelog
* Thu May 16 2024 daviddavid <daviddavid> r96-12.mga10
+ Revision: 2064390
- exclude arm build

* Sat May 11 2024 daviddavid <daviddavid> r96-11.mga10
+ Revision: 2063731
- workaround GCC 14 build issue adding -Wno-incompatible-pointer-types compile flags

* Sat Mar 19 2022 umeabot <umeabot> r96-10.mga9
+ Revision: 1800001
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> r96-9.mga8
+ Revision: 1515251
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> r96-8.mga7
+ Revision: 1299627
- Mageia 7 Mass Rebuild

* Wed Jun 15 2016 daviddavid <daviddavid> r96-7.mga6
+ Revision: 1021568
- fix also on armv7

* Wed Mar 30 2016 pterjan <pterjan> r96-6.mga6
+ Revision: 996926
- Fix on arm

* Sat Feb 20 2016 umeabot <umeabot> r96-5.mga6
+ Revision: 972135
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 danf <danf> r96-4.mga6
+ Revision: 895704
- Added gcc5.patch to fix build on gcc 5.2
- Use standard compiler optimization flags
+ daviddavid <daviddavid>
- fix build with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> r96-3.mga5
+ Revision: 747669
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> r96-2.mga5
+ Revision: 682653
- Mageia 5 Mass Rebuild

* Fri Mar 28 2014 daviddavid <daviddavid> r96-1.mga5
+ Revision: 609238
- fix linkurl for Source0
- prefer use %%apply_patches macro
+ david-david <david-david>
- imported package mppdec

